Bug 217535 - ofpath broken in yaboot due to missing symlinks
ofpath broken in yaboot due to missing symlinks
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yaboot (Show other bugs)
5.0
ppc64 Linux
medium Severity medium
: ---
: ---
Assigned To: Roman Rakus
http://ozlabs.org/pipermail/linuxppc-...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-28 09:42 EST by Steve Whitehouse
Modified: 2014-01-12 19:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 17:15:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Whitehouse 2006-11-28 09:42:17 EST
Description of problem:

 [root@doral etc]# ofpath /dev/sda
 ofpath: /proc/device-tree is broken

How reproducible:
Always

Steps to Reproduce:
1. As above

Expected results:

It should return the device path.
Comment 1 David Woodhouse 2008-05-05 08:30:25 EDT
What machine? What symlinks? Does the current Fedora version of ofpath work?
Comment 2 Roman Rakus 2008-05-05 09:05:45 EDT
Machine: ppc03.englab.brq.redhat.com
Trying with: yaboot-1.3.13-12.fc9.ppc.rpm

Still same problem.

Porting upstream patch should be easy...
Comment 3 RHEL Product and Program Management 2008-06-02 16:41:44 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 errata-xmlrpc 2009-01-20 17:15:14 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0244.html

Note You need to log in before you can comment on or make changes to this bug.